package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*流程图，lz_flow的父
* @author quyixiao
* @since 2020-10-28
*/

@Data
@TableName("lz_flow_chart")
@ApiModel(value = "流程图，lz_flow的父")
public class FlowChart implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //
    @ApiModelProperty(value = "", name = "isDelete")
    private Integer isDelete;
    //
    @ApiModelProperty(value = "", name = "gmtCreate")
    private Date gmtCreate;
    //
    @ApiModelProperty(value = "", name = "gmtModified")
    private Date gmtModified;
    //
    @ApiModelProperty(value = "", name = "name")
    private String name;
    //flow_manager表中id
    @ApiModelProperty(value = "flow_manager表中id", name = "processId")
    private Long processId;
    //是否可允许不启用节点 0不可，1可以
    @ApiModelProperty(value = "是否可允许不启用节点 0不可，1可以", name = "status")
    private Integer status;
    //1可配置细节，0不可配置细节，一般线下操作。比如执行中，不可配置细节的允许自动跳过该节点。比如，还未到改节点时，人为设置该节点后面的操作，那么所有相关的都自动跳过
    @ApiModelProperty(value = "1可配置细节，0不可配置细节，一般线下操作。比如执行中，不可配置细节的允许自动跳过该节点。比如，还未到改节点时，人为设置该节点后面的操作，那么所有相关的都自动跳过", name = "type")
    private Integer type;
    //执行步骤，第几步，从0开始
    @ApiModelProperty(value = "执行步骤，第几步，从0开始", name = "stepIndex")
    private Integer stepIndex;
    //当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束
    @ApiModelProperty(value = "当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束", name = "flowProcess")
    private Integer flowProcess;
    //描述，前端提示，如果有值就提示
    @ApiModelProperty(value = "描述，前端提示，如果有值就提示", name = "desc")
    private String desc;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     *  
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     *  
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * flow_manager表中id 
     * @return
     */
    public Long getProcessId() {
        return processId;
    }
    /**
     * flow_manager表中id 
     * @param processId
     */
    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    /**
     * 是否可允许不启用节点 0不可，1可以 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 是否可允许不启用节点 0不可，1可以 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 1可配置细节，0不可配置细节，一般线下操作。比如执行中，不可配置细节的允许自动跳过该节点。比如，还未到改节点时，人为设置该节点后面的操作，那么所有相关的都自动跳过 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1可配置细节，0不可配置细节，一般线下操作。比如执行中，不可配置细节的允许自动跳过该节点。比如，还未到改节点时，人为设置该节点后面的操作，那么所有相关的都自动跳过 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 执行步骤，第几步，从0开始 
     * @return
     */
    public Integer getStepIndex() {
        return stepIndex;
    }
    /**
     * 执行步骤，第几步，从0开始 
     * @param stepIndex
     */
    public void setStepIndex(Integer stepIndex) {
        this.stepIndex = stepIndex;
    }

    /**
     * 当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束 
     * @return
     */
    public Integer getFlowProcess() {
        return flowProcess;
    }
    /**
     * 当前是目标确认还是评分，0，目标制定，1，目标确认，2执行中，3，结果值录入，4，评分，5考核结束 
     * @param flowProcess
     */
    public void setFlowProcess(Integer flowProcess) {
        this.flowProcess = flowProcess;
    }

    /**
     * 描述，前端提示，如果有值就提示 
     * @return
     */
    public String getDesc() {
        return desc;
    }
    /**
     * 描述，前端提示，如果有值就提示 
     * @param desc
     */
    public void setDesc(String desc) {
        this.desc = desc;
    }

    @Override
    public String toString() {
        return "FlowChart{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",processId=" + processId +
                ",status=" + status +
                ",type=" + type +
                ",stepIndex=" + stepIndex +
                ",flowProcess=" + flowProcess +
                ",desc=" + desc +
                "}";
    }
}